%global pypi_name cairocffi

Name:           python-%{pypi_name}
Version:        1.7.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        cffi-based cairo bindings for Python
License:        MIT
URL:            https://pypi.org/project/cairocffi
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%package -n python3-%{pypi_name}
Summary:        cffi-based cairo bindings for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cairocffi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.7.1-2.mga10
+ Revision: 2240150
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.7.1-1.mga10
+ Revision: 2157219
- new version 1.7.1
- rebuild for python3.13

* Thu Jun 27 2024 papoteur <papoteur> 1.7.0-1.mga10
+ Revision: 2077248
- new version 1.7.0

* Sun Apr 14 2024 papoteur <papoteur> 1.6.1-1.mga10
+ Revision: 2057620
- new version 1.6.1

* Fri Dec 29 2023 tv <tv> 1.3.0-3.mga10
+ Revision: 2023424
- Rebuild for python-3.12

* Mon Mar 28 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1829573
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.3.0-1.mga9
+ Revision: 1783043
- version 1.3.0
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 1.2.0-2.mga9
+ Revision: 1708334
- rebuild for python 3.9

* Sun Nov 22 2020 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1648504
- new version 1.2.0

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1538226
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1461209
- new version: 1.1.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.0-2.mga8
+ Revision: 1441767
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.9.0-1.mga7
+ Revision: 1351513
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1288395
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1236966
- new version: 0.8.1

* Tue May 08 2018 tv <tv> 0.7.2-5.mga7
+ Revision: 1227762
- rename python-cairocffi as python2-cairocffi
- better description

* Thu Oct 12 2017 tv <tv> 0.7.2-4.mga7
+ Revision: 1171208
- BR python3-cffi thus fixing build with iurt-0.7

* Wed Oct 04 2017 tv <tv> 0.7.2-3.mga7
+ Revision: 1168483
- BR python-cffi thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.7.2-2.mga7
+ Revision: 1135333
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 910982
- new version: 0.7.2
- use new python macros
- remove no more needed fix-python3-build patch

* Thu Oct 08 2015 tv <tv> 0.5.1-7.mga6
+ Revision: 887508
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 749007
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-5.mga5
+ Revision: 728115
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 687912
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-3.mga5
+ Revision: 629731
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.5.1-2.mga5
+ Revision: 628478
- Rebuild for new Python

* Wed Oct 30 2013 neoclust <neoclust> 0.5.1-1.mga4
+ Revision: 548081
- Fix build with python3
- imported package python-cairocffi

